<template name="subscriptionsManager">
  <h2>Gestion des inscriptions</h2>
  <p>
    <a href="#" data-view-action="clear-filter">Toutes</a>
    <a href="#" data-view-action="filter-paid"><i class="fa fa-euro"></i> Payées</a>
    <a href="#" data-view-action="filter-notPaid"><i class="fa fa-times"></i> Non payées</a>
  </p>
  <p>
    Événement
    <select data-view-action="filter-event">
      <option selected></option>
      {{#each allEvents}}
        <option value="{{ _id }}">{{ title }}</option>
      {{/each}}
    </select>
  </p>
  <p>
    {{> tabular table=TabularTables.Subscriptions selector=selector class="table table-striped table-bordered table-condensed"}}
    <a href="{{ pathFor 'subscriptionsManagerAdd' }}"><i class="fa fa-plus"></i> Ajouter une inscription</a><br>
    <a href="#" data-action="export"><i class="fa fa-table"></i> Exporter (CSV)</a>
  </p>
</template>

<template name="subscriptionsManagerAdd">
  <h2>Ajout d'une inscription</h2>
  {{#autoForm collection=subscriptionsCollection id="insertSubscriptions" type="insert"}}
    {{> afQuickField name='isPaid'}}
    {{> afQuickField name='event'}}
    {{> afQuickField name='firstName'}}
    {{> afQuickField name='lastName'}}
    {{> afQuickField name='birthDate'}}
    {{> afQuickField name='medicalData'}}
    {{> afQuickField name='legalGuardianData'}}
    {{> afQuickField name='trustedIndividuals'}}
    {{> afQuickField name='agreesTerms'}}
    <button type="submit" class="btn btn-primary">Ajouter</button>
  {{/autoForm}}
</template>

<template name="subscriptionsManagerUpdate">
  <h2>Modification d'une inscription</h2>
  {{#autoForm collection=subscriptionsCollection doc=subscription id="updateSubscriptions" type="update"}}
    {{> afQuickField name='isPaid'}}
    {{> afQuickField name='event'}}
    {{> afQuickField name='firstName'}}
    {{> afQuickField name='lastName'}}
    {{> afQuickField name='birthDate'}}
    {{> afQuickField name='medicalData'}}
    {{> afQuickField name='legalGuardianData'}}
    {{> afQuickField name='trustedIndividuals'}}
    {{> afQuickField name='agreesTerms'}}
    <button type="submit" class="btn btn-primary">Mettre à jour</button>
  {{/autoForm}}
</template>

<template name="subscriptionsManagerDetail">
  <h2>Détail de l'inscription</h2>
  {{#with subscription}}
    <p>
      {{#if isPaid}}
        <span class="label label-success">L'inscription est payée</span>
      {{else}}
        <span class="label label-danger">L'inscription n'est pas encore payée</span>
      {{/if}}
    </p>
    <p>Prénom et nom de l'enfant : {{ firstName }} {{ lastName }}</p>
    <p>Date de naissance : {{ formatDate birthDate true }}</p>
    <h3>Informations médicales</h3>
    {{#with medicalData}}
      <p>Nom du médecin traitant : {{ doctorName }}</p>
      <p>Téléphone du médecin traitant : {{ doctorPhone }}</p>
      <p>Vacciné contre le tétanos ?
        {{#if isVaccinatedAgainstTetanus}}
          <span class="label label-success">Oui</span>
        {{else}}
          <span class="label label-danger">Non</span>
        {{/if}}
      </p>
      <p>Indications : </p>
      <div class="panel panel-default">
        <div class="panel-body">
          {{{ formatParagraphs indications }}}
        </div>
      </div>
    {{/with}}
    <h3>Informations de la personne responsable</h3>
    {{#with legalGuardianData}}
    <p>Prénom et nom : {{ firstName }} {{ lastName }}</p>
    <p>Lien de parenté : {{ kinship }}</p>
    <p>Adresse : {{ address }}</p>
    <p>Numéro de téléphone : {{ phone }}</p>
    <p>Adresse e-mail : {{ email }}</p>
    <p>Envoyer la facture et les informations par e-mail ?
      {{#if sendByMail}}
        <span class="label label-success">Oui</span>
      {{else}}
        <span class="label label-danger">Non</span>
      {{/if}}
    </p>
    <p>Numéro de compte bancaire IBAN : {{ iban }}</p>
    {{/with}}
    <h3>Personnes de confiance</h3>
    {{#each trustedIndividuals}}
      <p>{{ firstName }} {{ lastName }}</p>
    {{/each}}
  {{/with}}
</template>
